class CacheHelper {
    constructor() {
        this.cacheStore = {};
        this.addToStore = (key, value) => {
            this.cacheStore[key] = value;
            return value;
        };
        this.removeFromStore = (key) => Reflect.deleteProperty(this.cacheStore, key);
        this.clearStore = () => {
            this.cacheStore = {};
        };
        this.getStoreItem = async (key, cb) => {
            if (!this.cacheStore[key])
                this.cacheStore[key] = await cb();
            return this.cacheStore[key];
        };
    }
}
export default CacheHelper;
