import { cloneDeep } from "lodash";
export const genFormatMap = (formatList) => {
    const res = {};
    formatList.forEach(item => {
        item.fields.forEach(field => {
            res[field] = item.format;
        });
    });
    return res;
};
export const formatData = ({ data, module, type, formatMap }) => {
    const rawData = cloneDeep(data);
    const result = {};
    Object.entries(rawData).forEach(([k, v]) => {
        const key = `${module}/${k}`;
        const format = formatMap[key];
        if (format === null || format === void 0 ? void 0 : format[type])
            result[k] = format[type](v, result, rawData);
        else
            result[k] = v;
    });
    return result;
};
export default { genFormatMap, formatData };
