class IObjStore {
    constructor(store) {
        this._setStore = (key, value) => {
            if (typeof key === "string") {
                if (typeof value === "undefined")
                    Reflect.deleteProperty(this._store, key);
                else
                    this._store = Object.assign(Object.assign({}, this._store), { [key]: value });
            }
            else if (typeof key === "function")
                this._store = key(this._store);
            else
                this._store = Object.assign(Object.assign({}, this._store), key);
        };
        this._store = store;
    }
}
export default IObjStore;
